slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSPRIMMESetBlockSize

The maximum block size that PRIMME will try to use.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPRIMMESetBlockSize(EPS eps,PetscInt bs)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| bs | - block size

### Options Database Key

| -eps_primme_blocksize | - Sets the max allowed block size value

### Notes

If the block size is not set, the value established by primme_initialize is used.

The user should set the block size based on the architecture specifics of the target computer, as well as any a priori knowledge of multiplicities. The code does NOT require bs > 1 to find multiple eigenvalues. For some methods, keeping bs = 1 yields the best overall performance.

### See Also

EPSPRIMMEGetBlockSize()

### Level

advanced

### Location

src/eps/impls/external/primme/primme.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages